Skip to content
Start here

Create new saved string queries in bulk

client.BrandProtection.Queries.Bulk(ctx, params) error
POST/accounts/{account_id}/brand-protection/queries/bulk

Return a success message after creating new saved string queries in bulk

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Intel Write
ParametersExpand Collapse
params QueryBulkParams
AccountID param.Field[string]

Path param

minLength1
Queries param.Field[[]map[string, unknown]]optional

Body param

Create new saved string queries in bulk

package main

import (
  "context"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/brand_protection"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  err := client.BrandProtection.Queries.Bulk(context.TODO(), brand_protection.QueryBulkParams{
    AccountID: cloudflare.F("x"),
  })
  if err != nil {
    panic(err.Error())
  }
}
Returns Examples